Imported version 1.0
[claws.git] / INSTALL
1 Installation
2 ============
3
4 This program requires GTK+ 1.2.6 or higher to be compiled.
5
6 This program is developed on Debian GNU/Linux (woody)
7 (Linux 2.2.x + glibc 2.2), so it is possible not to work correctly
8 on the other environment.
9
10 It is confirmed to work on the following environments:
11
12 o Debian GNU/Linux (woody/sid) (glibc 2.2)
13 o Kondara MNU/Linux (glibc 2.1.x)
14 o Vine Linux 1.1 (glibc 2.0.x + libwcsmbs)
15 o Vine Linux 2.0 (glibc 2.1.x) (Intel, PPC)
16 o Vine Linux 2.1
17 o Laser5 Linux 6.0 (glibc 2.1.x)
18 o Laser5 Linux 6.2 (glibc 2.1.x)
19 o Laser5 Linux 6.4 (glibc 2.1.x)
20 o TurboLinux 4.0 (glibc 2.0.7 + libwcsmbs)
21 o TurboLinux 6.0 (glibc 2.1.2)
22 o Miracle Linux Standard Edition Version1.0
23 o Miracle Linux for PostgreSQL Version1.0
24 o Miracle Linux for Samba Version1.0
25 o RedHat Linux 5.2 (glibc 2.0.7)
26 o RedHat Linux 6.0
27 o RedHat Linux 6.1 + Helix GNOME (glibc 2.1.x)
28 o RedHat Linux 6.2 / 6.2J (glibc 2.1.x)
29 o RedHat Linux 7.0 / 7.0J
30 o LinuxPPC2000 + Yukikaze(Japanization kit)
31 o Linux2000G (Intel / PPC)
32 o HOLON Linux 2.0 (Intel / PPC)
33 o Linux for PPC Japanese Edition 2.0 (glibc 2.1.x)
34 o Linux for PPC Japanese Edition 3.0 (glibc 2.1.x)
35 o Linux MLD4
36 o Linux MLD5
37 o Plamo Linux 2.0
38 o Slackware 7.1
39 o Linux Mandrake 7.0
40 o Linux Mandrake 7.1
41 o Linux Mandrake 7.2
42 o Linux Mandrake 8.0 beta
43 o SuSE Linux 6.3 (glibc 2.1.2)
44 o SuSE Linux 6.4
45 o SuSE Linux 7.0
46 o SuSE Linux 7.1
47 o OpenLinux 2.3 (glibc 2.1.1 -> 2.1.3)
48 o Caldera OpenDesktop 2.4
49 o Conectiva Linux 4.0
50 o Conectiva Linux 5.0
51 o Vector Linux 1.5
52 o FreeBSD 3.2-RELEASE
53 o FreeBSD 3.4-RELEASE
54 o FreeBSD 4.0-RELEASE
55 o FreeBSD 4.1-RELEASE
56 o FreeBSD 4.2-RELEASE
57 o FreeBSD 5.0-CURRENT
58 o NetBSD 1.4.2
59 o NetBSD 1.5 + XPG4DL
60 o OpenBSD 2.7
61 o OpenBSD 2.8 (i386)
62 o BSD/OS 4.0.1
63 o Solaris 2.5
64 o Solaris 2.5.2
65 o Solaris 2.6
66 o Solaris 7
67 o Solaris 8
68 o IRIX 6.3
69 o IRIX 6.5 6.5.8m
70 o HP-UX 10.20
71 o Mac OS X (Darwin 1.3) + Xtools (has locale problem)
72 o Windows (cygwin + GTK+ for win32) (unstable)
73
74 For installation, just type:
75
76 % ./configure
77 % make
78 % su
79 Password: [Enter password]
80 # make install
81
82 I recommend you to install gdk-pixbuf or gdk_imlib library before installing
83 for built-in image view support, and libcompface for X-Face support.
84
85
86 If you want to enable multithread support, append the option
87 --enable-threads after ./configure.
88
89 Notice: Multithread support is still in an experimental stage, and it
90         doesn't work correctly.
91
92 If you want to enable IPv6 support, append the option
93 --enable-ipv6 after ./configure.
94
95 If you want to enable GnuPG support, you need GPGME 0.2.1 or later, and
96 GnuPG 1.0.4f or later. You can get them from the following location:
97
98   ftp://ftp.gnupg.org/pub/gcrypt/alpha/gpgme/
99   ftp://ftp.gnupg.org/pub/gcrypt/devel/
100
101 and append the option --enable-gpgme after ./configure.
102
103 Warning: the GnuPG support is still in the development stage, and it
104          may not work correctly. I suggest never to use a real key.
105          Please use sample keys.
106
107
108 If the installation of Sylpheed failed, check all needed libraries are
109 correctly installed. If it still failed, please send bug report to:
110
111   Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>